aboutsummaryrefslogtreecommitdiffstats
path: root/bruiser/cap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bruiser/cap.sh')
-rwxr-xr-xbruiser/cap.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/bruiser/cap.sh b/bruiser/cap.sh
new file mode 100755
index 0000000..0eb4801
--- /dev/null
+++ b/bruiser/cap.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+cd $(dirname $0)
+clang -c ./asmrewriter.c -o asmrewriter.o
+clang ./bruisercapstone.c -L/usr/local/lib64 -lcapstone -lkeystone -llua asmrewriter.o -o bcapstone
+./bcapstone || exit 1
+rm ./bcapstone